Bug 438085 - qdisk master abdication does not work correctly in all cases
qdisk master abdication does not work correctly in all cases
Status: CLOSED ERRATA
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: cman (Show other bugs)
4
All Linux
low Severity low
: ---
: ---
Assigned To: Christine Caulfield
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-18 18:05 EDT by Lon Hohberger
Modified: 2009-04-16 16:32 EDT (History)
2 users (show)

See Also:
Fixed In Version: RHBA-2008-0799
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-25 15:07:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lon Hohberger 2008-03-18 18:05:18 EDT
+++ This bug was initially created as a clone of Bug #430264 +++

Description of problem:

When qdiskd detects multiple masters, all detecting qdiskd instances are
supposed to abdicate their position and elect a new master.  Unfortunately, a
logic error prevents this from occurring in all cases.  For example, if qdiskd
goes to sleep, is evicted, and still thinks it is master, it will complain:

"A master exists, but it's not me?!"

Steps to Reproduce: Unknown; seen in overnight testing
  
Actual results:  Loop with annoying messages

Expected results: Master abdication + re-election

-- Additional comment from lhh@redhat.com on 2008-01-25 11:45 EST --
Created an attachment (id=292960)
Fix


-- Additional comment from lhh@redhat.com on 2008-02-04 12:19 EST --
One way to cause this is to corrupt the quorum disk while qdiskd is running.
Comment 1 Lon Hohberger 2008-03-18 18:06:42 EDT
Already in git / RHEL4 branch, commit = db6a74a9900257848aa4c07256b77b2d10a7db13
Comment 2 RHEL Product and Program Management 2008-03-18 18:14:40 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 5 errata-xmlrpc 2008-07-25 15:07:06 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0799.html

Note You need to log in before you can comment on or make changes to this bug.